Subject: bug#55484: Setup PS1 for 'guix shell/environment' in guix-install.sh

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 10 Jun 2022 23:45:47 -0400

Hi,

Maxim Cournoyer <[email-masked]> writes:

> Hello Guix,
>
> This is a feature request to take care of configuring PS1 in ~/.bashrc
> (or the most suitable place) for users of guix-install.sh.
>
> It's a small thing but it provides a nicer user experience when they can
> visually see they have entered a Guix environment.

This may be a bit more involved then simply appending the snippet to
their ~/.bashrc (if available), as Debian for example ships its own PS1
configuration there.  I guess we could prompt the user whether they want
the script to override their PS1 configuration.

Maxim